{ lib, config, ... }: {

  config = lib.mkIf (config.syscfg.make.gui) {
    xdg.configFile."pipewire/pipewire-pulse.conf.d/desktop.conf".text = ''
      context.modules = [
        {   name = libpipewire-module-loopback
            args = {
                node.description = "Desktop"
                node.name = "Desktop"
                audio.position = [ FL FR ]
                capture.props = {
                    media.class = Audio/Sink
                    node.name = "Desktop"
                }
            }
        }
        {   name = libpipewire-module-loopback
            args = {
                node.description = "Music"
                node.name = "Music"
                audio.position = [ FL FR ]
                capture.props = {
                    media.class = Audio/Sink
                    node.name = "Music"
                }
            }
        }
        {   name = "libpipewire-module-loopback"
            args = {
                node.description = "Virtual Loopback"
                audio.position = [ FL FR ]
                capture.props = {
                    media.class = "Audio/Sink"
                    node.name = "vloopback_sink"
                }
                playback.props = {
                    media.class = "Audio/Source"
                    node.name = "vloopback_source"
                }
            }
        }
      ]
    '';
  };
}
